org.eclipse.rdf4j.query.algebra.evaluation.federation

## Class JoinExecutorBase<T>

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<T,QueryEvaluationException>
    - - org.eclipse.rdf4j.repository.sparql.federation.JoinExecutorBase<T>
      - - org.eclipse.rdf4j.query.algebra.evaluation.federation.JoinExecutorBase<T>

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<T,QueryEvaluationException>, Iteration<T,QueryEvaluationException>
  Direct Known Subclasses:
    ServiceJoinIterator

  Deprecated.
  since 2.3 use `JoinExecutorBase`

      @Deprecated
      public abstract class JoinExecutorBase<T>
      extends JoinExecutorBase<T>

  Base class for any join parallel join executor. Note that this class extends `LookAheadIteration` and thus any implementation of this class is applicable for pipelining when used in a different thread (access to shared variables is synchronized).
  Author:
    Andreas Schwarte

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.repository.sparql.federation.JoinExecutorBase

      `bindings, closed, finished, leftIter, NEXT_JOIN_ID, rightArg, rightIter, rightQueue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinExecutorBase(CloseableIteration<T,QueryEvaluationException> leftIter, TupleExpr rightArg, BindingSet bindings)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.repository.sparql.federation.JoinExecutorBase

      `addResult, done, getNextElement, handleBindings, handleClose, isFinished, run, toss`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JoinExecutorBase

          public JoinExecutorBase(CloseableIteration<T,QueryEvaluationException> leftIter,
                                  TupleExpr rightArg,
                                  BindingSet bindings)
                           throws QueryEvaluationException

      Deprecated.
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.